package co.jp.mamol.myapp.repository;

import co.jp.mamol.myapp.model.SizaiModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BuyApprovalRepository {

    // DA 2001
    public List<SizaiModel> getDeptRequestList(
            @Param(value = "startDate") String startDate,
            @Param(value = "endDate") String endDate,
            @Param(value = "request_dept_id") String request_dept_id
    );

    // DA 2003
    public boolean approval(@Param("id") int id);

    // DA 2004
    public boolean reject(@Param("id") int id);

    // DA 2002
    public SizaiModel getRequestById(@Param("targetId") int targetId);
}
