package co.jp.mamol.myapp.service;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import co.jp.mamol.myapp.repository.BuyRequestRepository;
import co.jp.mamol.myapp.model.CategoryModel;
import co.jp.mamol.myapp.model.SizaiModel;

@Service
public class BuyRequestService {

	@Autowired
	BuyRequestRepository buyRequestRepository;

	/*public void requestRegist(SizaiDto sizai) throws Exception {
		
	}
	
	public List<CategoryDto> getCategory() throws Exception {
		
	}*/

	// BL 1003
	public List<SizaiModel> getUserRequsetList(String startDate, String endDate, String request_user_id){
		
		List<SizaiModel> sizaiList = new ArrayList<SizaiModel>();
		
		/*// 00:00:00
		LocalDateTime startDateTime = startDate.atStartOfDay();
		// 23:59:59
		LocalDateTime endDateTime = endDate.atTime(23, 59, 59); */
		
		//00:00:00
		String startDateTime = startDate + " 00:00:00";
		//23:59:59
		String endDateTime = endDate + " 23:59:59";
		
		sizaiList = buyRequestRepository.getUserRequsetList(startDateTime, endDateTime, request_user_id);
		
		return sizaiList;
	}

	// BL 1004
	public SizaiModel getRequest(int id){

        return buyRequestRepository.getRequestById(id);
	}
	
	//BL1006
	public boolean deleteById(int id){
		
		return buyRequestRepository.deleteById(id);
	}
	
	// BL 1001
	public void requestRegist(SizaiModel sizai){

		buyRequestRepository.requestRegist(sizai);
	}
	
	// BL 1002
	public List<CategoryModel> getCategory(){
		
		return buyRequestRepository.getCategory();
	}
	
	// BL 1005
	public boolean modifyRequest(SizaiModel sizai) {
		
		return buyRequestRepository.modifyRequest(sizai);
	}
}