package co.jp.mamol.myapp.service;

import co.jp.mamol.myapp.model.SizaiModel;
import co.jp.mamol.myapp.model.SoukoModel;
import co.jp.mamol.myapp.repository.StoreRepository;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StoreService {

    final StoreRepository storeRepository;

    public StoreService(StoreRepository storeRepository) {
        this.storeRepository = storeRepository;
    }

    // BL 4001
    public SizaiModel getSizaiById(int id) {

        return storeRepository.getSizaiById(id);
    }

    // BL 4002
    public List<SoukoModel> getSoukoList() {

        return storeRepository.getSoukoList();
    }

    // BL 4003
    public boolean inStoreAct(SizaiModel sizai){

        return storeRepository.inStoreAct(sizai);
    }

    // BL 4004
    public boolean outStoreAct(SizaiModel sizai){

        return storeRepository.outStoreAct(sizai);
    }
}
