package co.jp.mamol.myapp.service;

import co.jp.mamol.myapp.model.DepartmentModel;
import co.jp.mamol.myapp.model.SizaiModel;
import co.jp.mamol.myapp.repository.OrderDeliverRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OrderDeliverService {

    @Autowired
    OrderDeliverRepository orderDeliverRepository;

    // BL 3001
    public List<DepartmentModel> deptList(){

        return orderDeliverRepository.deptList();
    }

    // BL 3002
    public List<SizaiModel> approvaleList(String deptId){

        return orderDeliverRepository.approvaledList(deptId);
    }

    // BL 3004
    public boolean orderAct(int id){

        return orderDeliverRepository.orderAct(id);
    }

    // BL 3003
    public List<SizaiModel> orderedList(String deptId){

        return orderDeliverRepository.orderedList(deptId);
    }

    // BL 3005
    public boolean deleverAct(int id){

        return orderDeliverRepository.deleverAct(id);
    }
}
